## nmap 6.46

=== debian/changelog ===
nmap (6.46-2ubuntu1) utopic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build using autotools-dev to fix build failure on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 08 Aug 2014 14:27:24 +0200

nmap (6.46-2) unstable; urgency=medium

  * Removed obsolete debian/pycompat file
  * Fixed typo in package description (Closes: #748629)
  * Updated Vcs-* fields
  * Use Debian's ca-certificates instead of ca-bundle.crt provided in
    upstream tarball (Closes: #748958)

 -- Hilko Bengen <bengen@debian.org>  Fri, 30 May 2014 21:39:24 +0200

nmap (6.46-1) unstable; urgency=medium

  * New upstream version
  * Adopted the package with previous maintainer's blessing.
  * Updated watch file
  * Switched to source format 3.0 (quilt)
  * Split off ndiff into its own package (Closes: #691774)
  * No longer suppress pcap compatibility check

 -- Hilko Bengen <bengen@debian.org>  Fri, 25 Apr 2014 19:45:22 +0200

nmap (6.40-0.2ubuntu1) trusty; urgency=medium

  * Build using autotools-dev to fix build failure on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 19 Feb 2014 14:27:50 +0100

nmap (6.40-0.2) unstable; urgency=low

  * Yet another non-maintainer upload.
  * Modernize Debian build
    - Use Debhelper 9, with --parallel
    - Use dh-autoreconf (Closes: #727283)
    - Bump Standards-Version
    - Update git URL

 -- Hilko Bengen <bengen@debian.org>  Tue, 21 Jan 2014 23:12:31 +0100

nmap (6.40-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream version
    - Contains fix for CVE-2013-4885 (Closes:  #719289)

 -- Hilko Bengen <bengen@debian.org>  Mon, 12 Aug 2013 21:36:10 +0200

nmap (6.25-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules: Make sure zenmap is built again (tabs vs. spaces), other cleanups

 -- Hilko Bengen <bengen@debian.org>  Mon, 27 May 2013 22:02:16 +0200

nmap (6.25-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream version (Closes: #705762)
  * Lua 5.2 is now needed to build the NSE
  * Use upstream's desktop files and icons
  * Removed calls to dh_desktop, dh_undocumented
  * Made zenmap Architecture: all since it does not contain any
    architectue-specific files

 -- Hilko Bengen <bengen@debian.org>  Mon, 20 May 2013 18:27:15 +0200

nmap (6.00-0.3) unstable; urgency=low

  * Non-maintainer upload.
  * Apply upstream fix for interfaces in monitor mode (Closes: #696446).

 -- Hilko Bengen <bengen@debian.org>  Sat, 29 Dec 2012 18:43:12 +0100

nmap (6.00-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Enable xz compression for all binaries to save some space on CD
    images (Closes: #688708).

 -- Cyril Brulebois <kibi@debian.org>  Tue, 25 Sep 2012 00:35:36 +0200

nmap (6.00-0.1) unstable; urgency=low

  * Non-maintainer upload
  * New upstream version (Closes: #674573)
  * set CFLAGS etc. via dpkg-buildflags. This enables building with
    hardening flags
  * Do not use included liblinear

 -- Hilko Bengen <bengen@debian.org>  Tue, 19 Jun 2012 23:40:43 +0200

nmap (5.51.6-0.3) unstable; urgency=low

  * Non-maintainer upload
  * Disable pcap compatibility check, second take. (Closes: #671064)

 -- Hilko Bengen <bengen@debian.org>  Wed, 30 May 2012 20:51:53 +0200

nmap (5.51.6-0.2) unstable; urgency=low

  * Non-maintainer upload
  * use DESTDIR instead of prefix for make install. This fixes the zenmap
    sys.path issue (#663217) as well as the path in the .desktop files.
    Closes: #542958
  * revert change to zenmap setup.py script
  * Got rid of country-specific part in the directory
  * Disable pcap compatibility check that caused the internal libpcap copy
    to be used on kfreebsd-* (Closes: #671064).

 -- Hilko Bengen <bengen@debian.org>  Sat, 26 May 2012 13:31:37 +0200

nmap (5.51.6-0.1) unstable; urgency=low

  * Non-maintainer upload
  * New upstream version (Closes: #630144) 
  * Added watch file
  * Simplified debian/*.files, added translated manpages (Closes: #358336)
  * Added Python dependency for ndiff to nmap package
  * Removed empty postinst, prerm scripts
  * No longer append the build directory to zenmap's sys.path (Closes: #663217)
  * Use dh_python2 instead of dh_pycentral. Thanks to Arthur de Jong for
    the patch. Closes: #616917

 -- Hilko Bengen <bengen@debian.org>  Wed, 18 Apr 2012 21:54:53 +0200

nmap (5.21-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Apply patch from Ubuntu to fix FTBFS with openssl 1.0 by dropping md2
    support (closes: #621938).  Thanks, Dave Walker!

 -- Julien Cristau <jcristau@debian.org>  Sat, 02 Jul 2011 12:29:49 +0200

nmap (5.21-1~0) unstable; urgency=low

  * new upstream

 -- LaMont Jones <lamont@debian.org>  Wed, 03 Feb 2010 18:26:28 -0700

nmap (5.20-0) unstable; urgency=low

  * new upstream release

 -- LaMont Jones <lamont@debian.org>  Fri, 22 Jan 2010 08:45:09 -0700

nmap (5.00-3) unstable; urgency=low

  [Petr Salinger]

  * fix FTBFS on GNU/kFreeBSD.  Closes: #542388

  [LaMont Jones]

  * Provide and Replace: ndiff

 -- LaMont Jones <lamont@debian.org>  Fri, 28 Aug 2009 13:02:24 -0600

nmap (5.00-1) unstable; urgency=low

  * new upstream

 -- LaMont Jones <lamont@debian.org>  Sun, 16 Aug 2009 20:22:25 -0600

nmap (4.76-0ubuntu4) jaunty; urgency=low

  * No-change rebuild to fix lpia shared library dependencies.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 19 Mar 2009 13:35:25 +0000

nmap (4.76-0ubuntu3) jaunty; urgency=low

  * debian/{rules,zenmap.dirs}: install zenmap.xpm into the correct directory,
    fixes broken icon in the menu (LP: #335169)
  * debian/zenmap.files: the zenmap/pixmaps/radialnet/ directory was not
    installed, fixes crash due to missing pixmap (LP: #335166)
  * Makefile.in: added --install-layout=deb to setup.py install, fixes FTBFS

 -- Adrien Cunin <adri2000@ubuntu.com>  Sun, 15 Mar 2009 02:02:17 +0100

nmap (4.76-0ubuntu2) jaunty; urgency=low

  * debian/nmap.files: Included missing 'UPnP-info.nse' file needed to fix
    script scan (LP: #319656).



=== debian/control ===
Source: nmap
Section: net
Priority: extra
Maintainer: Hilko Bengen <bengen@debian.org>
Build-Depends: debhelper (>=9), libgtk2.0-dev, dh-autoreconf, flex, bison, libssl-dev, libpcap0.8-dev, libpcre3-dev, binutils-dev, liblinear-dev, python (>=2.3.5-7), python-all-dev, liblua5.2-dev,
Standards-Version: 3.9.5
XS-Python-Version: all
Vcs-Git: git://git.debian.org/users/bengen/nmap.git
Vcs-Browser: http://git.debian.org/?p=users/bengen/nmap.git

Package: nmap
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Recommends: ndiff
Description: The Network Mapper
 Nmap is a utility for network exploration or security auditing. It
 supports ping scanning (determine which hosts are up), many port
 scanning techniques, version detection (determine service protocols
 and application versions listening behind ports), and TCP/IP
 fingerprinting (remote host OS or device identification). Nmap also
 offers flexible target and port specification, decoy/stealth scanning,
 sunRPC scanning, and more. Most Unix and Windows platforms are
 supported in both GUI and commandline modes. Several popular handheld
 devices are also supported, including the Sharp Zaurus and the iPAQ.

Package: zenmap
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, nmap, python (>= 2.5) | python-pysqlite2, python-gtk2, python-gobject
Provides: ${python:Provides}, nmapfe
Conflicts: nmapfe
Replaces: nmapfe
Recommends: gksu
Description: The Network Mapper Front End
 Zenmap is an Nmap frontend. It is meant to be useful for advanced users
 and to make Nmap easy to use by beginners. It was originally derived
 from Umit, an Nmap GUI created as part of the Google Summer of Code.

Package: ndiff
Architecture: all
Recommends: nmap
Conflicts: nmap (<< ${source:Version})
Depends: ${python:Depends}, ${misc:Depends}, python-lxml,
Description: The Network Mapper - result compare utility
 Ndiff is a tool to aid in the comparison of Nmap scans. It takes two
 Nmap XML output files and prints the differences between them.

## nmap 6.46-1maemo2

=== nsock/tests/Makefile ===
#
# nsock regression test suite
# Same license as nmap -- see http://nmap.org/book/man-legal.html
##

NBASEDIR=/home/maemo/DATA/NMAP/wp/nmap-6.46/nbase
NSOCKLIB=../src/libnsock.a
NBASELIB=$(NBASEDIR)/libnbase.a

CC 	= arm-linux-gnueabi-gcc
CFLAGS	= -Wall -O0 -I../include -I$(NBASEDIR)
LDFLAGS	= -L/home/maemo/DATA/NMAP/wp/nmap-6.46/libpcap -Wl,-z,defs -L/home/maemo/DATA/NMAP/wp/nmap-6.46/nbase
LIBS	= -lssl -lcrypto /home/maemo/DATA/NMAP/wp/nmap-6.46/libpcap/libpcap.a

SRC = tests_main.c \
      basic.c \
      timer.c \
      logs.c \
      connect.c \
      ghlists.c \
      ghheaps.c \
      cancel.c

OBJ = $(SRC:.c=.o)

EXE = tests_main

all: $(SRC) $(EXE)

$(EXE): $(OBJ)
	$(CC) $(LDFLAGS) $(OBJ) -o $@ $(NSOCKLIB) $(NBASELIB) $(LIBS)

.c.o:
	$(CC) -c $(CFLAGS) $< -o $@

clean:
	$(RM) $(OBJ) $(EXE)

rebuild: clean $(EXE)

.PHONY: clean rebuild

=== debian/changelog ===
nmap (6.46-1maemo2) unstable; urgency=low

  * Fixed zenmap paths and python 2.5 compatibility

 -- Xes <xes.maemo@gmail.com>  Wed, 28 Maj 2014 06:10:40 +0100

nmap (6.46-1maemo1) unstable; urgency=low

  * New version 6.46

 -- Xes <xes.maemo@gmail.com>  Wed, 28 Maj 2014 06:10:39 +0100

nmap (6.45-1maemo1) unstable; urgency=low

  * New version 6.45

 -- Xes <xes.maemo@gmail.com>  Mon, 14 Apr 2014 07:05:09 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/nmap.sgml > nmap.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/nmap.
	$(MAKE) prefix=$(CURDIR)/debian/nmap/usr install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGELOG
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	./maemo-config-preopt
	maemo-optify nmap
	./maemo-config-postopt
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## nmap 6.47

=== debian/changelog ===
nmap (6.47-3+deb8u2) jessie; urgency=medium

  * Fix versioned Breaks/Depends for ndiff (Closes: #825528)

 -- Hilko Bengen <bengen@debian.org>  Fri, 27 May 2016 17:50:57 +0200

nmap (6.47-3+deb8u1) jessie; urgency=medium

  * Added upstream patch to deal with unuseable socks proxy (Closes:
    #773817)
  * Apply patch by Jan Nordholz to ignore unenumerable interfaces (Closes:
    #821913)
  * Moved ndiff.py from zenmap to ndiff, added versioned Breaks/Replaces
    (Closes: #789776, #789897)

 -- Hilko Bengen <bengen@debian.org>  Tue, 24 May 2016 22:04:40 +0200

nmap (6.47-3) unstable; urgency=medium

  * Updated German translation of zenmap, thanks to Chris Leick (Closes:
    #764653)
  * Bumped Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Sat, 11 Oct 2014 19:37:08 +0200

nmap (6.47-2) unstable; urgency=medium

  * Added updated German zenmap translation (Closes: #687982)

 -- Hilko Bengen <bengen@debian.org>  Sun, 21 Sep 2014 17:08:11 +0200

nmap (6.47-1) unstable; urgency=medium

  * New upstream version

 -- Hilko Bengen <bengen@debian.org>  Mon, 25 Aug 2014 12:04:15 +0200

nmap (6.46-3) unstable; urgency=medium

  * Use autotools-dev to work around broken upstream autofoo. Thanks to
    Matthias Klose. Closes: #757456

 -- Hilko Bengen <bengen@debian.org>  Sun, 24 Aug 2014 10:57:49 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,19 @@
 Section: net
 Priority: extra
 Maintainer: Hilko Bengen <bengen@debian.org>
-Build-Depends: debhelper (>=9), libgtk2.0-dev, dh-autoreconf, flex, bison, libssl-dev, libpcap0.8-dev, libpcre3-dev, binutils-dev, liblinear-dev, python (>=2.3.5-7), python-all-dev, liblua5.2-dev,
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>=9), dh-autoreconf, autotools-dev,
+ binutils-dev,
+ bison,
+ flex,
+ libgtk2.0-dev,
+ liblinear-dev,
+ liblua5.2-dev,
+ libpcap0.8-dev,
+ libpcre3-dev,
+ libssl-dev,
+ python (>=2.3.5-7),
+ python-all-dev,
+Standards-Version: 3.9.6
 XS-Python-Version: all
 Vcs-Git: git://git.debian.org/users/bengen/nmap.git
 Vcs-Browser: http://git.debian.org/?p=users/bengen/nmap.git
@@ -25,7 +36,11 @@
 
 Package: zenmap
 Architecture: all
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, nmap, python (>= 2.5) | python-pysqlite2, python-gtk2, python-gobject
+Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
+ nmap,
+ python (>= 2.5) | python-pysqlite2,
+ python-gobject,
+ python-gtk2,
 Provides: ${python:Provides}, nmapfe
 Conflicts: nmapfe
 Replaces: nmapfe
@@ -39,6 +54,8 @@
 Architecture: all
 Recommends: nmap
 Conflicts: nmap (<< ${source:Version})
+Breaks: zenmap (<< 6.47-3+deb8u1~)
+Replaces: zenmap (<< 6.47-3+deb8u1~)
 Depends: ${python:Depends}, ${misc:Depends}, python-lxml,
 Description: The Network Mapper - result compare utility
  Ndiff is a tool to aid in the comparison of Nmap scans. It takes two

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=autotools_dev,autoreconf,python2 --parallel

override_dh_auto_configure:
	dh_auto_configure -- --with-liblua --with-liblinear --enable-ipv6

override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install
	mv debian/tmp/usr/share/man/pt_PT debian/tmp/usr/share/man/pt

override_dh_autoreconf:
	dh_autoreconf autoconf

override_dh_install:
	dh_install --fail-missing -Xuninstall_zenmap -Xca-bundle.crt
	rm -f debian/zenmap/usr/lib/python2.7/*/ndiff.py

=== debian/watch ===
version=3
http://nmap.org/dist/nmap-((?:\d+\.)+\d+)\.tar.*

## nmap 6.47-1maemo2

=== debian/changelog ===
nmap (6.47-1maemo2) unstable; urgency=low

  * New version 6.47
  * Built with internal lua 5.2
  * Disabled all sudoers rules for security reasons. (can be enabled if needed)

 -- Xes <xes.maemo@gmail.com>  Mon, 20 Oct 2014 06:32:12 +0100

=== debian/control ===
Source: nmap
Section: user/network
Priority: extra
Maintainer: Xes <xes.maemo@gmail.com>
Build-Depends: debhelper (>= 5), autotools-dev, openssl, libssl-dev, libssl0.9.8, bluez, python, python-central
Standards-Version: 3.7.2

Package: nmap
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Command line open-source network and security scanning tool
 Nmap ("Network Mapper") is a free and open source utility for network
 exploration or security auditing. Many systems and network administrators
 also find it useful for tasks such as network inventory, managing service
 upgrade schedules, and monitoring host or service uptime.
 .
 This package contains the command-line only nmap, ncat, ndiff, and nping.
 Most functions work without root privileges, while some (like OS fingerprinting)
 do require them. If you use an option that does require root privileges
 without using sudo, you will be notified that it requires them.
XSBC-Bugtracker: https://garage.maemo.org/tracker/?func=add&group_id=1367&atid=5044
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAACXBIWXMAAAsT
 AAALEwEAmpwYAAAKT2lDQ1BQaG90b3Nob3AgSUNDIHByb2ZpbGUAAHjanVNn
 VFPpFj333vRCS4iAlEtvUhUIIFJCi4AUkSYqIQkQSoghodkVUcERRUUEG8ig
 iAOOjoCMFVEsDIoK2AfkIaKOg6OIisr74Xuja9a89+bN/rXXPues852zzwfA
 CAyWSDNRNYAMqUIeEeCDx8TG4eQuQIEKJHAAEAizZCFz/SMBAPh+PDwrIsAH
 vgABeNMLCADATZvAMByH/w/qQplcAYCEAcB0kThLCIAUAEB6jkKmAEBGAYCd
 mCZTAKAEAGDLY2LjAFAtAGAnf+bTAICd+Jl7AQBblCEVAaCRACATZYhEAGg7
 AKzPVopFAFgwABRmS8Q5ANgtADBJV2ZIALC3AMDOEAuyAAgMADBRiIUpAAR7
 AGDIIyN4AISZABRG8lc88SuuEOcqAAB4mbI8uSQ5RYFbCC1xB1dXLh4ozkkX
 KxQ2YQJhmkAuwnmZGTKBNA/g88wAAKCRFRHgg/P9eM4Ors7ONo62Dl8t6r8G
 /yJiYuP+5c+rcEAAAOF0ftH+LC+zGoA7BoBt/qIl7gRoXgugdfeLZrIPQLUA
 oOnaV/Nw+H48PEWhkLnZ2eXk5NhKxEJbYcpXff5nwl/AV/1s+X48/Pf14L7i
 JIEyXYFHBPjgwsz0TKUcz5IJhGLc5o9H/LcL//wd0yLESWK5WCoU41EScY5E
 mozzMqUiiUKSKcUl0v9k4t8s+wM+3zUAsGo+AXuRLahdYwP2SycQWHTA4vcA
 APK7b8HUKAgDgGiD4c93/+8//UegJQCAZkmScQAAXkQkLlTKsz/HCAAARKCB
 KrBBG/TBGCzABhzBBdzBC/xgNoRCJMTCQhBCCmSAHHJgKayCQiiGzbAdKmAv
 1EAdNMBRaIaTcA4uwlW4Dj1wD/phCJ7BKLyBCQRByAgTYSHaiAFiilgjjggX
 mYX4IcFIBBKLJCDJiBRRIkuRNUgxUopUIFVIHfI9cgI5h1xGupE7yAAygvyG
 vEcxlIGyUT3UDLVDuag3GoRGogvQZHQxmo8WoJvQcrQaPYw2oefQq2gP2o8+
 Q8cwwOgYBzPEbDAuxsNCsTgsCZNjy7EirAyrxhqwVqwDu4n1Y8+xdwQSgUXA
 CTYEd0IgYR5BSFhMWE7YSKggHCQ0EdoJNwkDhFHCJyKTqEu0JroR+cQYYjIx
 h1hILCPWEo8TLxB7iEPENyQSiUMyJ7mQAkmxpFTSEtJG0m5SI+ksqZs0SBoj
 k8naZGuyBzmULCAryIXkneTD5DPkG+Qh8lsKnWJAcaT4U+IoUspqShnlEOU0
 5QZlmDJBVaOaUt2ooVQRNY9aQq2htlKvUYeoEzR1mjnNgxZJS6WtopXTGmgX
 aPdpr+h0uhHdlR5Ol9BX0svpR+iX6AP0dwwNhhWDx4hnKBmbGAcYZxl3GK+Y
 TKYZ04sZx1QwNzHrmOeZD5lvVVgqtip8FZHKCpVKlSaVGyovVKmqpqreqgtV
 81XLVI+pXlN9rkZVM1PjqQnUlqtVqp1Q61MbU2epO6iHqmeob1Q/pH5Z/YkG
 WcNMw09DpFGgsV/jvMYgC2MZs3gsIWsNq4Z1gTXEJrHN2Xx2KruY/R27iz2q
 qaE5QzNKM1ezUvOUZj8H45hx+Jx0TgnnKKeX836K3hTvKeIpG6Y0TLkxZVxr
 qpaXllirSKtRq0frvTau7aedpr1Fu1n7gQ5Bx0onXCdHZ4/OBZ3nU9lT3acK
 pxZNPTr1ri6qa6UbobtEd79up+6Ynr5egJ5Mb6feeb3n+hx9L/1U/W36p/VH
 DFgGswwkBtsMzhg8xTVxbzwdL8fb8VFDXcNAQ6VhlWGX4YSRudE8o9VGjUYP
 jGnGXOMk423GbcajJgYmISZLTepN7ppSTbmmKaY7TDtMx83MzaLN1pk1mz0x
 1zLnm+eb15vft2BaeFostqi2uGVJsuRaplnutrxuhVo5WaVYVVpds0atna0l
 1rutu6cRp7lOk06rntZnw7Dxtsm2qbcZsOXYBtuutm22fWFnYhdnt8Wuw+6T
 vZN9un2N/T0HDYfZDqsdWh1+c7RyFDpWOt6azpzuP33F9JbpL2dYzxDP2DPj
 thPLKcRpnVOb00dnF2e5c4PziIuJS4LLLpc+Lpsbxt3IveRKdPVxXeF60vWd
 m7Obwu2o26/uNu5p7ofcn8w0nymeWTNz0MPIQ+BR5dE/C5+VMGvfrH5PQ0+B
 Z7XnIy9jL5FXrdewt6V3qvdh7xc+9j5yn+M+4zw33jLeWV/MN8C3yLfLT8Nv
 nl+F30N/I/9k/3r/0QCngCUBZwOJgUGBWwL7+Hp8Ib+OPzrbZfay2e1BjKC5
 QRVBj4KtguXBrSFoyOyQrSH355jOkc5pDoVQfujW0Adh5mGLw34MJ4WHhVeG
 P45wiFga0TGXNXfR3ENz30T6RJZE3ptnMU85ry1KNSo+qi5qPNo3ujS6P8Yu
 ZlnM1VidWElsSxw5LiquNm5svt/87fOH4p3iC+N7F5gvyF1weaHOwvSFpxap
 LhIsOpZATIhOOJTwQRAqqBaMJfITdyWOCnnCHcJnIi/RNtGI2ENcKh5O8kgq
 TXqS7JG8NXkkxTOlLOW5hCepkLxMDUzdmzqeFpp2IG0yPTq9MYOSkZBxQqoh
 TZO2Z+pn5mZ2y6xlhbL+xW6Lty8elQfJa7OQrAVZLQq2QqboVFoo1yoHsmdl
 V2a/zYnKOZarnivN7cyzytuQN5zvn//tEsIS4ZK2pYZLVy0dWOa9rGo5sjxx
 edsK4xUFK4ZWBqw8uIq2Km3VT6vtV5eufr0mek1rgV7ByoLBtQFr6wtVCuWF
 fevc1+1dT1gvWd+1YfqGnRs+FYmKrhTbF5cVf9go3HjlG4dvyr+Z3JS0qavE
 uWTPZtJm6ebeLZ5bDpaql+aXDm4N2dq0Dd9WtO319kXbL5fNKNu7g7ZDuaO/
 PLi8ZafJzs07P1SkVPRU+lQ27tLdtWHX+G7R7ht7vPY07NXbW7z3/T7JvttV
 AVVN1WbVZftJ+7P3P66Jqun4lvttXa1ObXHtxwPSA/0HIw6217nU1R3SPVRS
 j9Yr60cOxx++/p3vdy0NNg1VjZzG4iNwRHnk6fcJ3/ceDTradox7rOEH0x92
 HWcdL2pCmvKaRptTmvtbYlu6T8w+0dbq3nr8R9sfD5w0PFl5SvNUyWna6YLT
 k2fyz4ydlZ19fi753GDborZ752PO32oPb++6EHTh0kX/i+c7vDvOXPK4dPKy
 2+UTV7hXmq86X23qdOo8/pPTT8e7nLuarrlca7nuer21e2b36RueN87d9L15
 8Rb/1tWeOT3dvfN6b/fF9/XfFt1+cif9zsu72Xcn7q28T7xf9EDtQdlD3YfV
 P1v+3Njv3H9qwHeg89HcR/cGhYPP/pH1jw9DBY+Zj8uGDYbrnjg+OTniP3L9
 6fynQ89kzyaeF/6i/suuFxYvfvjV69fO0ZjRoZfyl5O/bXyl/erA6xmv28bC
 xh6+yXgzMV70VvvtwXfcdx3vo98PT+R8IH8o/2j5sfVT0Kf7kxmTk/8EA5jz
 /GMzLdsAAAAgY0hSTQAAeiUAAICDAAD5/wAAgOkAAHUwAADqYAAAOpgAABdv
 kl/FRgAAEZVJREFUeNrUmXus5dd11z9r7/077/ueufP2nRkn4xnbcerGNjGp
 RfNwXsitk1BwS1BbWiURlEqIECgFpKogKtQHqKWoKQgJEE1bERpoK9pCSBu3
 IWCnboLrIYrHyeTOwzP3zn2cc36/8/vtvdfij3Pu9R3HkERUkC5p657fuVe6
 37X2d3/3d62fvPrcOVJKbG9thazpLZ12961e5IzzzrVbLS1CUBd8jk3SrDmZ
 qaphXlwSIWfNCSSD5ZRSVtXsvc/e+ybGlFQ1+eBz8D6raja17L1vvPcRITkn
 0YtrVGjELIpI452vcRKdc7WpNmY0qrkBqb13pZlMfHAphIIAkHOeO7yy8g9P
 nTr+gcX5ATkmVDPOO0RAs5JVyVnJmlFTTDE1UzXNllUNU1PLhkTDVMySQcSI
 atqYWmNmtZnVhlVmVGZUIowNK0HGGCPBxiIyRmSEMTJsrMbIzEonUiESctbC
 sBEQg5qxMD/3ffffc+EDt7a3+dwfXoxlWaEpgzNAADEBE8EAEDFAMRTMFFQg
 T5/JiEyfISJEjGRYmv4kAkmwhLjpZ5EEJCAKRBEag1qgAWkQiU4kOudiCD71
 ej0Nvghq5NAqwvLZtVNP7I6G/Mf//F9SzuqcOBEBRKb/zmM4EDABsSlAZZqe
 gihiQZCMiM5AOWYhYAe+9xhOBCdOBDARMUEUQUUkuVlCIhJfWkRBog8+Z9XU
 7/XVeydhXJZHO+32q55+5g/IKUur1RJgWusMzAMTRBBwYGDOzAkIIsYMA4ga
 YpiZgIhM90sww2GqNt0VmVbejAazBmhMbYJIJVCJUCmUglSITBAmgkyck9p5
 H0Ut1nVK4ia5XRQWWiGsVtV4eXt7x7z304LVYCAyMFo/noj/3KP/3SGK0saM
 aSKYGWbCdDeM6a+ygaKaHWSFRKYBqw1qMhOwCqGSTAmMMfZ4PzazEUyfp4sx
 SOWU2qnWphrNTMHUmWkQbKlposQmZmTKRDlq0vrhRPgORY5A+AtK/g1H88Me
 fVZE2tjsNDADv7em4CE5kcagNrMJsLcqoBSxEpORmg2BoYgMzWzI9HkEjMxs
 LEKJMUGkVqgRbbxqVjPFzMqcCWbWq2MmqZqoiGG0/nGi9WeV5t845IRhu9D+
 dsXfa278UMi2LUrA9kDPVmLv4MK+4rwEXEqwagqOEVMVGc7WrpmNp59lJMLY
 zEqgEpGJmTYY0YlkM8tqZsE5w3tCCKEbY0RNlYyTefCPGLohTN4faP3tRPqw
 U3vaxN1nJgPMtvZPiB4Av7dqEWlmla/2qg5WzqgxnNHk9urDSERGZjZWtbGI
 TERkoqo1kJxzUc3Umaog+9sfxLl2HSOYGU6gFOw5CG8yOj+eTc6a5BMm9Y/4
 bKAuAMVttHlJAkUabqfNDDzlAWoM/0/gzawUkUpE6hn46JzLqmopRjOg3++9
 lEDO2k0xYYpJAEtQ//UA/yTRen8WAH93lvw75psPO/InXJLWbbRJM9pMgPgy
 8OMZ+LGIDFV1JCL7CajqrojcBt45NwEmOedGptqfcs6aUpppx+3hMLpZDcNM
 BMRj+TMul48WWj4WLD0lpjtixXeq9D6agnutYnEfdJxVfo82ByjDeLZGZjY0
 s6GI7AK7M87vgR+a2Wiv8mY2yTk3zrnGe59SSppSUplenl8RLpt1zAzAUIF5
 LHyrij+nxF91OT8D1VtDnPwdn9wShMdNsOltCjQiUr8CbfbBi8htwA+A352B
 L82scs5VIlKbWS0ijXMuxxgt5/yKwPcp5J1r5ZxNREyjZXfEQvdj0TGG8ZsL
 RTGZQ2VxaiwYz3gvJEGameK87MBOE7CXZHEviaGqDmeVHx+gTWVmtao2zrko
 IrlpGlVV5atEQAhmpmaWpSDo58WaD3ttfzC7/u/EYAbhHantj5nkZ0XTL7ux
 QEMtNTBRbgM/EihpUc8os682B2i0R5vKzMbOucnLwccYs6oaX0ME70NhqllE
 ph5BRZu/ETQ/LS68O0v40+b1Ihp/3jfpX7ixrUspJzE5YgG1lp8erCkHHY4N
 SXaVmwfB7yUwo1M5o83LK59EJMUY7WsFP5VREdFpAmpmhp9agvQRl9JHXG79
 WOrEn/VjuyzV1NpJFb4tLYcfzMtUZHT/QkM6uPgR/1zz9/yzUlDOkthV1aFz
 bjSj1b7amNlEVaP3PplZjjHq1wMeIJiZGWQz25NGQzBpoRg5/gO/Sy1RCpI4
 aUwtxl92V9PH3WX0oNZLhVjJNrckvHRh7VV+Br48AL6egY+Azpqh/y34mdAA
 UFUlzhRLBcFUFbMEqEwt795fZoTMrjQEGnEy1XihZlNKu7mnNDIGhpk0zOQt
 YGd2cLdnqrN3kCdAM5NeBVK73Y5mllNKr0ibM2fPI+JwweOAEDw+eDqdDp1W
 iyJ4gpllgz0K5VkHY/vepnjpht03ZWH/0E7McplSHs3PL1Tn77138djJE6tz
 C3NFt9trCdKIk0bEVSnG6ynnLzdNfOH61SuXnvvsZ8ur6+t7nsAA3vDImzl1
 8jSxacAXvO2d3wXq6S72CMDhQ0ssLc2Rs+67ySAiNgOeRMSrqhywCHGmzQc1
 vjKzcYpxCOwuHzqU3vpt337qDW980+m77rn75KHDhxf6g/6g1+t5cfs9DU1d
 p5jyzaaJV3a2tj71pRee/w+bN248qUVRaVZGm7vcceQMh5ZW0SZSq+P6izfJ
 TYaW4oHxOFAUcFBdwwEHmQAv014sm1kjIvFldrhMKY5MbffE6dPuLY89du6d
 737PhQuvec2p/vycBO+ZtXKY7DcJCOC9D844VqR0rNPvPbB68sQHYtM8tVOO
 fiFH/Xdb1zbXb11+ke2tW5CVxtwrOYdXuAem/iWKSAb87Pu0Z4kPmrKmaXYH
 /UH96GOPn/mO973vwr0PfPPRdhHod9oYELMSY0RMEQTvpr4xzipm4ggh0G4V
 AEVUfdj71sNVOfz+qix/Lqf0r4MPu1+XCh3YgWxmMhWlqS3eA59SHKna6P77
 /8TgXe/9ngf/1OOPrR1bO+FyyqQYefHWkGsbW8S6IuSa3fGY3dGYWxs3wIzl
 Q6v0+z0WBwOyb+NbHY4fXqbTbtGfX6Lo9u8z/M9IlnfVm6O/j9onDjjmr5rA
 Hljba7BVNU0PqFUxxt3FhaX82J/58+cee+/3XDh93/lOp9dma1iye2uL7e0d
 tsYNc3N9ljtdUk7kCNev3+IzT3+OrMqDr3uAM2tzODztVpetOvH7z11ivtNi
 aWme+aVFVk4cl/7S8ltuPL/++vLKxk/Xu9VPYLb5NSUw43s2s9bsQEdVLXNK
 4wt339/77r/ywXsefufbj3aW5zAztkcTPvmJT7M9qlh51atZXljh6PIAr8bN
 OjF/aJ7XHTlNq9enaRq+9aEHWJhb4NKNTQadPsfnAl8IbV7YKnn6dz/LoPA8
 8saH6Q+6rJ4/O6iOrPzQ9YuX31hdvvEh0/zJr3aRNTOq2CyJHJu6arU6k7e/
 64kTT/ylHzx/10Pf1E0CMUauv3iLq9sVXyqFxZWT9AZLuLSDl3nGamzLAN9d
 YHf9Ip/8jY/SxIYTJ1Y5c98b2KGmq4E5wMcJ/cECO4fXuHz9Os88f5PjS22O
 Hl2iu7LE2oP91/eW5z927bkv/5im9JM+hPRKCfiVlZWHcs53jsfjJCI5NnU1
 P7+c/+IP/NDd3/uhD50/9ZpXFRljOCz5wuWbbMQWvZXjtCVzdK5N0XIQRywM
 FthuHKXrsr7+P/lHf/P7eOY//RYvPPccv/ep32bxrtcxt7qGaKZbeDZ3t1Ez
 llqBdrfH0qmz3BrX7N7aplN4BoM+86uL3bmVwaPVzvhcqppP9vvdcafTvu1W
 3tuBSkS0riesHjlZ/OUP/cg3vfmJ9xzrLPSIOXNrc8i1rQmuv8La0jxdUWLI
 dLzRpAkWG7I4JgZFv8v6pee4du0qj37v++nPzfOxX/yXXPnC5zj/2j9JnGTM
 eUgNMWf6rTaLrcyJgVDPHWF7Z8T6xg45K4dX5lk8eohWu3ji6rOXT1i07xbh
 halUv3QGJkCZc9a5wULxvr/6t+57x3f9uWPtxQ67wwnXN0bcHDcsrRzi8Hyb
 FtAOwlbb45wQAmzsbGOaMfFkgdDp0bLI8xf/B612F5dKfKtDAgxDNVFub9Fb
 PEy/cITkWe0JjcLS6oCtYYsrGxuUVeTISp/FQwu4u9ce2bx07We2hsP3irit
 gwk0QBljU9914TUn3vGed6/5jufK1S2ubZbcGCfa7YJDbVhsTcelYkrHMoNO
 Bz8/R7URsDShXwyIdcPava/nnkce5Zl//0uYGhfe9DbOvu6NWGzoB0HThG7h
 WTt2CFfV7EwqCjParenl5wpjvVEuDWt2R5FjK12OLHSZX114ZyzLcyLu0wft
 dD1rLOqmqber0bBuL/TbO8MJEjy9vqeZRIajkn5bGLRbtApHp9cGlBPL82x0
 u4x2Nlk8Nk8cT0iDBR7/az/JuYfeRo6R89/yKKvLR+nZhKVeYHzzFr0icGpl
 gWtXXqTdadPvOmKG8SSyW5akpHTaLYqWZ2dYsdgWJOcy1ql0ByyKX1paOmtm
 x5qmidu3Nre/cPHzV1JlsVcUxcpcr72yMHCDuT4KDMcVu6OSuq7YurlJuxU4
 cWyVbqfF+tV1VhbnGXQ75LqmKNp0jp1hZe08J+fnWHINRweBDg03rl7m3Jk1
 Dh9aZvPmLba3R1gRuLEzYWs8ITnPoFuw4DJ9S40bj69cv7T+m5dfuPqjmxu7
 v7u5sa2bGztsbuwQQCaqOnLOqarmJz/+6099+smPP7m8vKJ3vvqe3l2vfeD0
 kVNn7rzwwIP3LR4/vNbudhhWE7bLCSHA7njEscOH2B2N2Lh+hTtOrdGbK9gY
 Toijm5gZpxZWWZlrU7jE5avrHF89zNrJE2yNSkaTip3JhO4405vrkHZ2qa5e
 /2I9qn7PYv5v1c3hp8zS87mQ7Und5Ha7dZsKydmzdz6cc3r99vZ2nsVEVceq
 eZhSGpqxFXwY3//gIyfe8Oa3fsvafd/8rmN3nnzw+B0nSXXNpCzptgPLgwE3
 NjeoJhXLc4sEPFev3yBn5eTxI6gYW6MdihA4duQIW8MxZR1pdbq0el1evHKV
 S88+/5lutF/Ilf6q7/Qu9hZ6TDaGGBk6nsmkodUqbkvALy4uHgIO1XU9UdV6
 NqMcicjI+1CGEBrMmi9fvvTlzz31qU/8/qf/66/vbI/+sLs0WD58eu2Oubll
 shWUMdPu9PAExmXFeLTLpBphuSFpplGh1enTHSwySmBFl/7iMtr2PPsHn3nq
 47/yaz/64hdv/N3VxcXf9KG94UKgaBekspm6nOBIKTOboN/WE1dmNpy9UcnT
 Yep0jjmbYU6c95OWc1ZOyqL64sX1j3744j/b2Fr/t99/9o7vPH107QdCt39B
 FZzAoLvIXFbqyZj5lBAzXFFQtPtTEDa1vOJAXXrh+sbNn778pS/9q2pcbnSL
 RdzLAH61cExf5QwRGbrZmrWB49kFV+01361WO4VQeDOT3/6lX9xqqupnW07e
 bsONn2jKnfUm1dQ5UTvwgzlay0sUK8vI3BxNgFoTTa5pyp2btnvzn3qxt4vI
 T4lzG36/l/j6IohjYiZjETIikemYsDKzyWw3ajNrDk4OAAvtFiKCwuVWU30w
 uOpXJtSPNxruKkL7aHaymG2KSCA5s92U6g2k+Xwnx18LyX5L+foBf0UCTnyD
 pJHg1DlNqrLf+x6YHCRVTSml2RDjZSGCw5502JNKdmAeQ8yQ/XdkZoplFZn2
 rCb/9+Cngy2xaM6NnXdq5pOTHPN0xl+bWfTeR52i11fC/pUhe2P3V/rdbP3R
 RUAkBS9VCF4xTVlddE5jStqIyB5tjG/QCE4ki7iqCME05+ydS3n6Xjarqc7A
 f+MmYCY5FK4OwZOSzzlrdE6zObXY5Py10eb/YwKdbksFVxdF4VLKOavmoFlV
 3Tc28gPvBwwjtVstySmbTWd9BvLHI4Hpe2qy916KIljKyaYXyh8L/AR7Scr/
 qKT5/2n8rwEAbwnwerRwpdoAAAAASUVORK5CYII=

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --with-liblua=included CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/nmap.sgml > nmap.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/nmap.
	$(MAKE) prefix=$(CURDIR)/debian/nmap/usr install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGELOG
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	./maemo-config-preopt
	maemo-optify nmap
	./maemo-config-postopt
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## nmap 7.01

=== macosx/Makefile ===
# This makefile builds a disk image (.dmg) containing the installer for Nmap,
# Zenmap, Ncat, and Ndiff.

NMAP_VERSION := $(shell grep '^\#[ \t]*define[ \t]\+NMAP_VERSION' ../nmap.h | sed -e 's/.*"\(.*\)".*/\1/' -e 'q')
NMAP_NUM_VERSION := $(shell grep '^\#[ \t]*define[ \t]\+NMAP_NUM_VERSION' ../nmap.h | sed -e 's/.*"\(.*\)".*/\1/' -e 'q')

NAME_VERSION = nmap-$(NMAP_VERSION)$(if $(APPENDAGE),-$(APPENDAGE))

IMAGE_NAME = $(NAME_VERSION).dmg
PKG_NAME = $(NAME_VERSION).mpkg

IMAGE_STAGING_DIR = $(NAME_VERSION)

NMAP_BUILD_DIR = nmap-build
NMAP_STAGING_DIR = Nmap

ZENMAP_BUILD_DIR = zenmap-build
ZENMAP_STAGING_DIR = Zenmap

NCAT_BUILD_DIR = ncat-build
NCAT_STAGING_DIR = Ncat

NDIFF_BUILD_DIR = ndiff-build
NDIFF_STAGING_DIR = Ndiff

NPING_BUILD_DIR = nping-build
NPING_STAGING_DIR = Nping

NMAP_UPDATE_BUILD_DIR = nmap-update-build
NMAP_UPDATE_STAGING_DIR = nmap-update

JHBUILD_PREFIX=$(HOME)/gtk/inst
# MACPORTS_PREFIX is still here because of nmap-update, which needs
# libsvn and libapr, which jhbuild doesn't support yet.
MACPORTS_PREFIX=$(HOME)/macports-10.8
PREFIX = /usr/local

PACKAGEMAKER = /Developer/usr/bin/packagemaker

EXTRA_DIST = README ../COPYING ../docs/3rd-party-licenses.txt ../docs/licenses

CONFIGURE_ARGS = --prefix="$(PREFIX)" --with-libdnet=included --with-libpcap=included --with-libpcre=included --with-liblua=included CC="$(CC)" CXX="$(CXX)" CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" PYTHON="$(PYTHON)"

# Flags for building universal binaries. See
# http://developer.apple.com/documentation/Porting/Conceptual/PortingUnix/compiling/chapter_4_section_3.html.
UNIVERSAL_CONFIGURE_ARGS = --disable-dependency-tracking
UNIVERSAL_CC = gcc
UNIVERSAL_CXX = g++
# Setting ARCHFLAGS separately is required. distutils.util.get_platform
# sniffs it to determine whether to return a universal architecture
# ("fat" or "universal") or a single one ("i386" or "ppc"). py2app in
# turn uses the arch value to decide which of its bootstrappers to
# install.
UNIVERSAL_ARCHFLAGS = -arch i386
UNIVERSAL_CPPFLAGS = -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.9.sdk
UNIVERSAL_CFLAGS = $(UNIVERSAL_CPPFLAGS) -mmacosx-version-min=10.8 $(UNIVERSAL_ARCHFLAGS)
UNIVERSAL_CXXFLAGS = $(UNIVERSAL_CFLAGS)
# https://stackoverflow.com/questions/19637164/c-linking-error-after-upgrading-to-mac-os-x-10-9-xcode-5-0-1/19637199#19637199
UNIVERSAL_LDFLAGS = -stdlib=libstdc++ -Wl,-syslibroot,/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.9.sdk -mmacosx-version-min=10.9 $(UNIVERSAL_ARCHFLAGS)

CC = $(UNIVERSAL_CC)
CXX = $(UNIVERSAL_CXX)
ARCHFLAGS += $(UNIVERSAL_ARCHFLAGS)
CONFIGURE_ARGS += $(UNIVERSAL_CONFIGURE_ARGS)
CPPFLAGS += $(UNIVERSAL_CPPFLAGS)
CFLAGS += $(UNIVERSAL_CFLAGS)
CXXFLAGS += $(UNIVERSAL_CXXFLAGS)
LDFLAGS += $(UNIVERSAL_LDFLAGS)

PYTHON = $(JHBUILD_PREFIX)/bin/python2.7
OPENSSL_STATIC = $(JHBUILD_PREFIX)/lib/libssl.a $(JHBUILD_PREFIX)/lib/libcrypto.a

$(IMAGE_NAME): $(IMAGE_STAGING_DIR)/$(PKG_NAME)
	rm -f $@
	hdiutil create -imagekey zlib-level=9 -srcfolder $(IMAGE_STAGING_DIR) $@

$(IMAGE_STAGING_DIR)/$(PKG_NAME): check-nmap check-ncat check-ndiff check-zenmap check-nping check-nmap-update COPYING.formatted
	mkdir -p $(IMAGE_STAGING_DIR)
	cp -rf $(EXTRA_DIST) $(IMAGE_STAGING_DIR)/
	$(PACKAGEMAKER) --doc nmap.pmdoc --title "Nmap $(NMAP_VERSION)" --no-relocate -o $@

check-%: stage-%
	if (find $* -perm -a+x -type f | xargs otool -L | grep "$(JHBUILD_PREFIX)"); then false; else echo "Libs are clean"; fi

export-%:
	rm -rf $*
# Using @BASE discards local changes.
	svn export .. $*

stage-nmap: export-$(NMAP_BUILD_DIR)
	cd $(NMAP_BUILD_DIR) && ./configure --without-zenmap --without-ncat --without-ndiff --without-nping --without-nmap-update --with-openssl="$(JHBUILD_PREFIX)" $(CONFIGURE_ARGS)
	make -C $(NMAP_BUILD_DIR) OPENSSL_LIBS="$(OPENSSL_STATIC)"
	rm -rf $(NMAP_STAGING_DIR)
	make -C $(NMAP_BUILD_DIR) install DESTDIR="`pwd`/$(NMAP_STAGING_DIR)" OPENSSL_LIBS="$(OPENSSL_STATIC)"

stage-ncat: export-$(NCAT_BUILD_DIR)
	cd $(NCAT_BUILD_DIR) && ./configure --without-zenmap --with-ncat --without-ndiff --without-nping --without-nmap-update --with-openssl="$(JHBUILD_PREFIX)" $(CONFIGURE_ARGS)
	make -C $(NCAT_BUILD_DIR) build-ncat OPENSSL_LIBS="$(OPENSSL_STATIC)"
	rm -rf $(NCAT_STAGING_DIR)
	make -C $(NCAT_BUILD_DIR) install-ncat DESTDIR="`pwd`/$(NCAT_STAGING_DIR)" OPENSSL_LIBS="$(OPENSSL_STATIC)"

stage-nping: export-$(NPING_BUILD_DIR)
	cd $(NPING_BUILD_DIR) && ./configure --without-zenmap --without-ncat --without-ndiff --with-nping --without-nmap-update --with-openssl="$(JHBUILD_PREFIX)" $(CONFIGURE_ARGS)
	make -C $(NPING_BUILD_DIR) build-nping OPENSSL_LIBS="$(OPENSSL_STATIC)"
	rm -rf $(NPING_STAGING_DIR)
	make -C $(NPING_BUILD_DIR) install-nping DESTDIR="`pwd`/$(NPING_STAGING_DIR)" OPENSSL_LIBS="$(OPENSSL_STATIC)"

stage-nmap-update: export-$(NMAP_UPDATE_BUILD_DIR)
	cd $(NMAP_UPDATE_BUILD_DIR) && ./configure --without-zenmap --without-ncat --without-ndiff --without-nping --with-nmap-update --with-apr=$(MACPORTS_PREFIX) --with-subversion=$(MACPORTS_PREFIX) $(CONFIGURE_ARGS)
	make -C $(NMAP_UPDATE_BUILD_DIR) build-nmap-update
	rm -rf $(NMAP_UPDATE_STAGING_DIR)
	make -C $(NMAP_UPDATE_BUILD_DIR) install-nmap-update DESTDIR="`pwd`/$(NMAP_UPDATE_STAGING_DIR)"
	install_name_tool -change "$(MACPORTS_PREFIX)/lib/libapr-1.0.dylib" "/usr/lib/libapr-1.0.dylib" "$(NMAP_UPDATE_STAGING_DIR)/usr/local/bin/nmap-update"
	install_name_tool -change "$(MACPORTS_PREFIX)/lib/libsvn_client-1.0.dylib" "/usr/lib/libsvn_client-1.0.dylib" "$(NMAP_UPDATE_STAGING_DIR)/usr/local/bin/nmap-update"
	install_name_tool -change "$(MACPORTS_PREFIX)/lib/libsvn_subr-1.0.dylib" "/usr/lib/libsvn_subr-1.0.dylib" "$(NMAP_UPDATE_STAGING_DIR)/usr/local/bin/nmap-update"

# make-bundle.sh uses these to build its authorization wrapper.
export CC ARCHFLAGS CPPFLAGS CFLAGS CXXFLAGS LDFLAGS

stage-zenmap: export-$(ZENMAP_BUILD_DIR)
	cd $(ZENMAP_BUILD_DIR)/zenmap && install_scripts/macosx/make-bundle.sh
	rm -rf $(ZENMAP_STAGING_DIR)
	mkdir -p $(ZENMAP_STAGING_DIR)/Applications
	cp -rf $(ZENMAP_BUILD_DIR)/zenmap/dist/Zenmap.app $(ZENMAP_STAGING_DIR)/Applications/

stage-ndiff: export-$(NDIFF_BUILD_DIR)
	mkdir -p $(NDIFF_STAGING_DIR)/usr/local/bin
	mkdir -p $(NDIFF_STAGING_DIR)/usr/local/share/man/man1
	cp $(NDIFF_BUILD_DIR)/ndiff/ndiff.py $(NDIFF_STAGING_DIR)/usr/local/bin/ndiff
	cp $(NDIFF_BUILD_DIR)/ndiff/docs/ndiff.1 $(NDIFF_STAGING_DIR)/usr/local/share/man/man1/

COPYING.formatted:
# Use the license formatter from the Windows installer.
	../mswin32/license-format/licformat.sh ../COPYING > $@

clean:
	rm -rf $(IMAGE_STAGING_DIR)
	rm -rf $(NMAP_BUILD_DIR)
	rm -rf $(NMAP_STAGING_DIR)
	rm -rf $(ZENMAP_BUILD_DIR)
	rm -rf $(ZENMAP_STAGING_DIR)
	rm -rf $(NCAT_BUILD_DIR)
	rm -rf $(NCAT_STAGING_DIR)
	rm -rf $(NDIFF_BUILD_DIR)
	rm -rf $(NDIFF_STAGING_DIR)
	rm -rf $(NPING_BUILD_DIR)
	rm -rf $(NPING_STAGING_DIR)
	rm -rf $(NMAP_UPDATE_BUILD_DIR)
	rm -rf $(NMAP_UPDATE_STAGING_DIR)
	rm -f COPYING.formatted
	rm -f $(IMAGE_NAME)

.PHONY: clean export-% stage-%

=== mswin32/Makefile ===
MAKENSIS="/cygdrive/c/Program Files/NSIS/makensis.exe"
VCEXPRESS := $(shell reg query "HKEY_CLASSES_ROOT\\Applications\\devenv.exe\\shell\\edit\\command" | egrep -i '[A-Z]:\\' | cut -d\" -f2 | sed 's%\\%/%g' | tr -d '\n')
export NMAP_VERSION := $(shell grep '^\#[ \t]*define[ \t]\+NMAP_VERSION' ../nmap.h | sed -e 's/.*"\(.*\)".*/\1/' -e 'q')
export NMAP_NUM_VERSION := $(shell grep '^\#[ \t]*define[ \t]\+NMAP_NUM_VERSION' ../nmap.h | sed -e 's/.*"\(.*\)".*/\1/' -e 'q')
COMMA_VERSION=$(shell echo $(NMAP_NUM_VERSION) | tr '.' ',')
LOGLOC=c:nmapbuild.log
NSE_FILES = scripts/script.db scripts/*.nse
NMAP_MSWIN32_AUX = ../../nmap-mswin32-aux

winbuild: nmap.rc nsis/Nmap.nsi LICENSE
# VCExpress.exe is devenv.com with the commercial Visual Studio suite instead of VC++ Express

	"$(VCEXPRESS)" nmap.sln /build release /out $(LOGLOC)
	"$(VCEXPRESS)" nmap.sln /build release /project nmap-update /out $(LOGLOC)
	$(MAKENSIS) winpcap/winpcap-nmap.nsi
	rm -rf nmap-$(NMAP_VERSION)
	rm -f nmap-$(NMAP_VERSION)-win32.zip
	mkdir nmap-$(NMAP_VERSION)
	cd Release && cp -r ../../CHANGELOG ../../COPYING nmap-mac-prefixes nmap-os-db nmap-payloads nmap-protocols nmap-rpc nmap-service-probes nmap-services nmap.exe nmap.xsl nse_main.lua ../nmap_performance.reg ../../README-WIN32 ../../docs/3rd-party-licenses.txt ../nmap-$(NMAP_VERSION)/
# Use "cmd /c copy" rather than "cp" to preserve Windows ACLs. Using
# "cp" means that the copied DLLs don't have the same ACL and cause an
# error on startup: 0xc0000022.
	cmd /c copy $(subst /,\\,$(NMAP_MSWIN32_AUX))\\OpenSSL\\bin\\*.dll nmap-$(NMAP_VERSION)
	mkdir nmap-$(NMAP_VERSION)/scripts
	cd Release && cp -f $(NSE_FILES) ../nmap-$(NMAP_VERSION)/scripts/
	cd Release && for f in `find nselib -name .svn -prune -o -type d -print`; do \
		mkdir -p ../nmap-$(NMAP_VERSION)/$$f; \
	done
	cd Release && for f in `find nselib -name .svn -prune -o -type f -print`; do \
		cp -f $$f ../nmap-$(NMAP_VERSION)/$$f; \
	done
	cd Release && cp -r ../../docs/licenses ../nmap-$(NMAP_VERSION)/
	rm -rf nmap-$(NMAP_VERSION)/licenses/.svn
	cp winpcap/winpcap-nmap-*.exe nmap-$(NMAP_VERSION)
	cp $(NMAP_MSWIN32_AUX)/vcredist_x86.exe nmap-$(NMAP_VERSION)
	cp $(NMAP_MSWIN32_AUX)/vcredist2008_x86.exe nmap-$(NMAP_VERSION)
	cp ../ncat/Release/ncat.exe nmap-$(NMAP_VERSION)
	cp ../ncat/Release/ca-bundle.crt nmap-$(NMAP_VERSION)
	cp ../nping/Release/nping.exe nmap-$(NMAP_VERSION)
	cp ../nmap-update/Release/nmap-update.exe nmap-$(NMAP_VERSION)
# Install the ndiff batch file wrapper in the zip distribution.
	cp ../ndiff/ndiff.py nmap-$(NMAP_VERSION)/ndiff.py
	cp python-wrap.bat nmap-$(NMAP_VERSION)/ndiff.bat
	zip -r nmap-$(NMAP_VERSION)-win32.zip nmap-$(NMAP_VERSION)
# Remove ndiff.py and ndiff.bat for the installer because it has ndiff.exe.
	rm -f nmap-$(NMAP_VERSION)/ndiff.py nmap-$(NMAP_VERSION)/ndiff.bat
	cd ../zenmap && install_scripts/windows/copy_and_compile.bat
	cp -R ../zenmap/dist/* nmap-$(NMAP_VERSION)/
	cp ../zenmap/README nmap-$(NMAP_VERSION)/ZENMAP_README
	cp ../zenmap/COPYING_HIGWIDGETS nmap-$(NMAP_VERSION)
	cp ../ndiff/README nmap-$(NMAP_VERSION)/NDIFF_README
	cp nsis/AddToPath.nsh nsis/Nmap.nsi nsis/shortcuts.ini nsis/final.ini nmap-$(NMAP_VERSION)
	$(MAKENSIS) nmap-$(NMAP_VERSION)/Nmap.nsi
	mv nmap-$(NMAP_VERSION)/NmapInstaller.exe nmap-$(NMAP_VERSION)-setup.exe

nmap.rc: nmap.rc.in ../nmap.h
	sed -e '1i// Automatically generated from $<.' \
	     -e 's/@@FILEVERSION@@/"$(NMAP_VERSION)\\0"/' \
	     -e 's/@@COMMAVERSION@@/$(COMMA_VERSION)/' \
	     "$<" > "$@"

nsis/Nmap.nsi: nsis/Nmap.nsi.in
	sed -e '1i; Automatically generated from $<.' \
	     -e 's/@@VIPRODUCTVERSION@@/"$(NMAP_NUM_VERSION)"/' \
	     -e 's/@@VERSION@@/"$(NMAP_VERSION)"/' \
	     "$<" > "$@"

LICENSE: ../COPYING
	./license-format/licformat.sh "$<" > "$@"

clean:
	"$(VCEXPRESS)" nmap.sln /clean
	rm -rf Debug Release nmapbuild.log nmap.rc nsis/Nmap.nsi LICENSE

=== debian/changelog ===
nmap (7.01-2ubuntu2) xenial; urgency=medium

  * Revert the last change; no changes left.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 31 Mar 2016 13:36:38 +0200

nmap (7.01-2ubuntu1) xenial; urgency=medium

  * Configure --without-liblua for a first build.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2016 16:48:47 +0100

nmap (7.01-2build1) xenial; urgency=medium

  * No-change rebuild for liblinear transition.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2016 08:57:37 +0100

nmap (7.01-2) unstable; urgency=medium

  * Remove unneeded build-dependencies; add dh-python
  * Simplify install
  * Add Lintian overrides for python-script-but-no-python-dep

 -- Hilko Bengen <bengen@debian.org>  Sun, 24 Jan 2016 20:57:21 +0100

nmap (7.01-1) unstable; urgency=medium

  * New upstream version

 -- Hilko Bengen <bengen@debian.org>  Sun, 20 Dec 2015 16:37:23 +0100

nmap (7.00-1) unstable; urgency=medium

  * New upstream version
  * Drop patches that are no longer needed
  * Don't install any uninstall_* scripts
  * Link nmap against lua-lpeg

 -- Hilko Bengen <bengen@debian.org>  Thu, 19 Nov 2015 23:11:41 +0100

nmap (6.47-7) unstable; urgency=medium

  * Replaced versioned Conflicts with Breaks/Replaces (Closes: #789897).
    Thanks to Michael Biebl for pointing this out.

 -- Hilko Bengen <bengen@debian.org>  Sun, 28 Jun 2015 12:42:32 +0200

nmap (6.47-6) unstable; urgency=medium

  * ndiff: Added versioned Conflicts (Closes: #789897)

 -- Hilko Bengen <bengen@debian.org>  Thu, 25 Jun 2015 18:03:40 +0200

nmap (6.47-5) unstable; urgency=medium

  * Added option to debian/watch to recognize beta, test tags
  * Moved ndiff.py to ndiff (Closes: #789776)

 -- Hilko Bengen <bengen@debian.org>  Wed, 24 Jun 2015 22:44:05 +0200

nmap (6.47-4) unstable; urgency=medium

  * Updated Vcs-* links, added Homepage field
  * Added upstream patch to deal with unuseable socks proxy (Closes:
    #773817)

 -- Hilko Bengen <bengen@debian.org>  Mon, 27 Apr 2015 00:10:58 +0200

=== debian/control ===
Source: nmap
Section: net
Priority: extra
Maintainer: Hilko Bengen <bengen@debian.org>
Build-Depends: debhelper (>=9), dh-autoreconf,
 dh-python,
 bison,
 flex,
 libgtk2.0-dev,
 liblinear-dev,
 liblua5.2-dev, lua-lpeg-dev,
 libpcap0.8-dev,
 libpcre3-dev,
 libssl-dev,
 python (>=2.3.5-7),
Standards-Version: 3.9.6
Homepage: http://nmap.org/
Vcs-Git: git://anonscm.debian.org/users/bengen/nmap.git
Vcs-Browser: http://anonscm.debian.org/cgit/users/bengen/nmap.git

Package: nmap
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Recommends: ndiff
Description: The Network Mapper
 Nmap is a utility for network exploration or security auditing. It
 supports ping scanning (determine which hosts are up), many port
 scanning techniques, version detection (determine service protocols
 and application versions listening behind ports), and TCP/IP
 fingerprinting (remote host OS or device identification). Nmap also
 offers flexible target and port specification, decoy/stealth scanning,
 sunRPC scanning, and more. Most Unix and Windows platforms are
 supported in both GUI and commandline modes. Several popular handheld
 devices are also supported, including the Sharp Zaurus and the iPAQ.

Package: zenmap
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
 nmap,
 python (>= 2.5) | python-pysqlite2,
 python-gobject,
 python-gtk2,
Provides: ${python:Provides}, nmapfe
Conflicts: nmapfe
Replaces: nmapfe
Recommends: gksu
Description: The Network Mapper Front End
 Zenmap is an Nmap frontend. It is meant to be useful for advanced users
 and to make Nmap easy to use by beginners. It was originally derived
 from Umit, an Nmap GUI created as part of the Google Summer of Code.

Package: ndiff
Architecture: all
Recommends: nmap
Conflicts: nmap (<< ${source:Version})
Breaks: zenmap (<< 6.47-5~)
Replaces: zenmap (<< 6.47-5~)
Depends: ${python:Depends}, ${misc:Depends}, python-lxml,
Description: The Network Mapper - result compare utility
 Ndiff is a tool to aid in the comparison of Nmap scans. It takes two
 Nmap XML output files and prints the differences between them.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=autoreconf,python2 --parallel

override_dh_auto_configure:
	dh_auto_configure -- --with-liblua --with-liblinear --enable-ipv6

override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install
	mv debian/tmp/usr/share/man/pt_PT debian/tmp/usr/share/man/pt

override_dh_autoreconf:
	dh_autoreconf autoconf

override_dh_install:
	dh_install --fail-missing -X/usr/bin/uninstall_ -Xca-bundle.crt -X.pyc

=== debian/watch ===
version=3
opts=",uversionmangle=s/(beta|test)/~\\1/i" \
    http://nmap.org/dist/nmap-(\d+\..*)\.tar.*

## nmap 7.12

=== debian/changelog ===
nmap (7.12-1) unstable; urgency=medium

  * New upstream version
  * Bump Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Tue, 03 May 2016 07:47:15 +0200

nmap (7.01-3) unstable; urgency=medium

  * Apply patch by Jan Nordholz to ignore unenumerable interfaces
    (Closes: #821913)

 -- Hilko Bengen <bengen@debian.org>  Sat, 23 Apr 2016 14:41:43 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  libpcre3-dev,
  libssl-dev,
  python (>=2.3.5-7),
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://nmap.org/
 Vcs-Git: git://anonscm.debian.org/users/bengen/nmap.git
 Vcs-Browser: http://anonscm.debian.org/cgit/users/bengen/nmap.git
